@echo off
rem
rem Defaults to installing WinTiGer into the C drive in 
rem the WinTiGer directory

SET DISK=C
if "%1"=="help" goto help
if "%1"=="" goto install

rem check for a valid parameter
if "%1"=="d" goto setdrive
if "%1"=="D" goto setdrive
if "%1"=="e" goto setdrive
if "%1"=="E" goto setdrive
if "%1"=="f" goto setdrive
if "%1"=="F" goto setdrive
if "%1"=="g" goto setdrive
if "%1"=="G" goto setdrive
if "%1"=="h" goto setdrive
if "%1"=="H" goto setdrive
if "%1"=="i" goto setdrive
if "%1"=="I" goto setdrive
if "%1"=="j" goto setdrive
if "%1"=="J" goto setdrive
if "%1"=="k" goto setdrive
if "%1"=="K" goto setdrive
if "%1"=="l" goto setdrive
if "%1"=="L" goto setdrive
if "%1"=="m" goto setdrive
if "%1"=="M" goto setdrive
if "%1"=="n" goto setdrive
if "%1"=="N" goto setdrive
if "%1"=="o" goto setdrive
if "%1"=="O" goto setdrive
if "%1"=="p" goto setdrive
if "%1"=="P" goto setdrive
if "%1"=="q" goto setdrive
if "%1"=="Q" goto setdrive
if "%1"=="r" goto setdrive
if "%1"=="R" goto setdrive
if "%1"=="s" goto setdrive
if "%1"=="S" goto setdrive
if "%1"=="t" goto setdrive
if "%1"=="T" goto setdrive
if "%1"=="u" goto setdrive
if "%1"=="U" goto setdrive
if "%1"=="v" goto setdrive
if "%1"=="V" goto setdrive
if "%1"=="w" goto setdrive
if "%1"=="W" goto setdrive
if "%1"=="x" goto setdrive
if "%1"=="X" goto setdrive
if "%1"=="y" goto setdrive
if "%1"=="Y" goto setdrive
if "%1"=="z" goto setdrive
if "%1"=="Z" goto setdrive
rem invalid parameter, exit with help message
echo.
echo %1: is an invalid disk drive.
goto help

rem read the drive
:setdrive
if not exist %DISK%:\nul goto diskerr
SET DISK=%1

rem perform installation
:install
echo Extracting WinTiGer files, please wait...
if not exist %DISK%:\wintiger\nul mkdir %DISK%:\wintiger
copy *.zip %DISK%:\wintiger
copy *.tg? %DISK%:\wintiger
copy pkunzip.exe %DISK%:\wintiger
if not exist %DISK%:\wintiger\driver\nul mkdir %DISK%:\Wintiger\driver
copy drivers.zip %DISK%:\wintiger\driver
%DISK%:
cd \wintiger
pkunzip *.zip
del *.zip
cd driver
pkunzip *.zip
del *.zip

rem end of installation display message
goto outro

rem invalid disk drive
echo. 
echo %1 is an invalid disk drive.

rem help on setup
:help
echo.
echo TGsetup will install the WinTiGer utilities into the C:\WinTiger
echo directory on your hard disk. If you want to install it onto a 
echo different drive, include the drive name as a parameter when you
echo start the setup program. For instance, to install WinTiGer onto
echo your D drive type....
echo.
echo                 tgsetup D
echo
goto exit

rem tell user how to set up WinTiGer Group
:outro

cls
echo 		WinTiGer - Windows Setup
echo 		========================
echo.
echo You will now need to set up a program manager group to make 
echo the WinTiGer utilities available from the Program Manager. 
echo.
echo Start up the Program Manager and select the New option, click
echo on the  'create new group'  radio button and type  "WinTiGer" 
echo into the box.
echo.
echo Select the New option from the File menu again and this time
echo select  'create new item'.  Click on the Browse button and 
echo locate the file wintiger.exe, it's usually in the c:\wintiger
echo directory. Repeat this operation for the tglib.exe file and the 
echo tgload.exe files.
echo.
echo Start up the applications simply by double clicking on the 
echo appropriate program icon.
echo.
:exit
pause

rem -------------- end of file ------------------
